sudo update-desktop-database results in "font/ttf" is an invalid MIME type ("font" is an unregistered media type)

Bug #1768271 reported by uvgroovy on 2018-05-01
28
This bug affects 6 people
Affects Status Importance Assigned to Milestone
desktop-file-utils (Ubuntu)
Low
Sebastien Bacher
Bionic
Low
Sebastien Bacher
Cosmic
Undecided
Unassigned

Bug Description

* Impact

The "update-desktop-database" command outputs some "invalid MIME type" warnings

* Test case

- install gnome-font-viewer if it's not installed
- $ sudo update-desktop-database

you should not get warnings like those
Error in file "/usr/share/applications/org.gnome.font-viewer.desktop": "font/ttf" is an invalid MIME type ("font" is an unregistered media type)
Error in file "/usr/share/applications/org.gnome.font-viewer.desktop": "font/otf" is an invalid MIME type ("font" is an unregistered media type)

* Regression potential

Check that fonts files can still be opened from nautilus and preview (browse e.g /usr/share/fonts/type1/gsfonts in nautilus and open a file from there)

------------------------------------------------------

I think this is the same bug as this one: https://bugzilla.redhat.com/show_bug.cgi?id=1564650

Other info:
1.
$ lsb_release -rd
Description: Ubuntu 18.04 LTS
Release: 18.04
2.
$ apt-cache policy desktop-file-utils
desktop-file-utils:
  Installed: 0.23-1ubuntu3
  Candidate: 0.23-1ubuntu3
  Version table:
 *** 0.23-1ubuntu3 500
        500 http://us.archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

3. Expected `sudo update-desktop-database` to not return an error
4. Error regarding invalid MIME type (see above) was returned.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: desktop-file-utils 0.23-1ubuntu3
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
Uname: Linux 4.15.0-20-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Tue May 1 11:11:05 2018
InstallationDate: Installed on 2018-04-29 (1 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: desktop-file-utils
UpgradeStatus: No upgrade log present (probably fresh install)

uvgroovy (yuval-kohavi) wrote :
Sebastien Bacher (seb128) wrote :

Indeed, the issue is fixed upstream with this commit
https://cgit.freedesktop.org/xdg/desktop-file-utils/commit/?id=92af4108

Changed in desktop-file-utils (Ubuntu):
importance: Undecided → Low
status: New → In Progress
Jeremy Bicha (jbicha) on 2018-10-08
Changed in desktop-file-utils (Ubuntu Bionic):
importance: Undecided → Low
status: New → Triaged
Changed in desktop-file-utils (Ubuntu Bionic):
assignee: nobody → Sebastien Bacher (seb128)
Changed in desktop-file-utils (Ubuntu):
assignee: nobody → Sebastien Bacher (seb128)
description: updated
Changed in desktop-file-utils (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-file-utils - 0.23-4ubuntu1

---------------
desktop-file-utils (0.23-4ubuntu1) disco; urgency=medium

  * Resynchronize on Debian, remaining changes
  * debian/defaults.list, debian/desktop-file-utils.install,
    debian/desktop-file-utils.links:
    - install the defaults handlers list

desktop-file-utils (0.23-4) unstable; urgency=medium

  * Team upload
  * Add add-font-as-valid-media-type.patch:
    - Fix update-desktop-error with gnome-font-viewer 3.28 (LP: #1768271)

 -- Sebastien Bacher <email address hidden> Tue, 06 Nov 2018 16:23:28 +0100

Changed in desktop-file-utils (Ubuntu):
status: Fix Committed → Fix Released

Hello uvgroovy, or anyone else affected,

Accepted desktop-file-utils into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/desktop-file-utils/0.23-3ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in desktop-file-utils (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in desktop-file-utils (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed-bionic
Timo Aaltonen (tjaalton) wrote :

Hello uvgroovy, or anyone else affected,

Accepted desktop-file-utils into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/desktop-file-utils/0.23-1ubuntu3.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Sebastien Bacher (seb128) wrote :

I've installed 0.23-3ubuntu3 on cosmic and indeed there are no warning displayed anymore

tags: added: verification-done-cosmic
removed: verification-needed-cosmic

The verification of the Stable Release Update for desktop-file-utils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-file-utils - 0.23-3ubuntu3

---------------
desktop-file-utils (0.23-3ubuntu3) cosmic; urgency=medium

  * debian/patches/add-font-as-valid-media-type.patch:
    - backport debian change to fix update-desktop-error with
      gnome-font-viewer 3.28 (LP: #1768271)

 -- Sebastien Bacher <email address hidden> Tue, 06 Nov 2018 16:25:03 +0100

Changed in desktop-file-utils (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

updating to 0.23-1ubuntu3.18.04.2 indeed makes the warning go away

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-file-utils - 0.23-1ubuntu3.18.04.2

---------------
desktop-file-utils (0.23-1ubuntu3.18.04.2) bionic; urgency=medium

  * debian/patches/add-font-as-valid-media-type.patch:
    - backport debian change to fix update-desktop-error with
      gnome-font-viewer 3.28 (LP: #1768271)

 -- Sebastien Bacher <email address hidden> Tue, 06 Nov 2018 16:31:37 +0100

Changed in desktop-file-utils (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers